#
# AsciiDoc3 latex filter configuration file.
#
# Documented in latex-filter.txt in AsciiDoc3 distribution
# ./examples/website/ directory.
#

[latex-filter-style]
# When the filter output image is data-uri encoded write it to the indir
# (instead of the outdir) so that encoder can find it.
ifndef::data-uri[]
latex-style=template="latex-block",subs=(),posattrs=("style","target","dpi"),filter='latex2png.py -m{verbose? -v}{dpi? -D {dpi}} -o "{imagesdir=}{imagesdir?/}{target}" -'
endif::data-uri[]
ifdef::data-uri[]
latex-style=template="latex-block",subs=(),posattrs=("style","target","dpi"),filter='latex2png.py -m{verbose? -v}{dpi? -D {dpi}} -o "{imagesdir=}{imagesdir?/}{target}" -'
endif::data-uri[]


# [latex-filter-style] from AsciiDoc 8.6.9 Python 2
# When the ... find it.
# ifndef::data-uri[]
# latex-style=template="latex-block",subs=(),posattrs=("style","target","dpi"),filter='latex2png.py -m{verbose? -v}{dpi? -D {dpi}} -o "{outdir={indir}}/{imagesdir=}{imagesdir?/}{target}" -'
# endif::data-uri[]
# ifdef::data-uri[]
# latex-style=template="latex-block",subs=(),posattrs=("style","target","dpi"),filter='latex2png.py -m{verbose? -v}{dpi? -D {dpi}} -o "{indir={outdir}}/{imagesdir=}{imagesdir?/}{target}" -'
# endif::data-uri[]


[blockdef-open]
template::[latex-filter-style]

[blockdef-listing]
template::[latex-filter-style]

[paradef-default]
template::[latex-filter-style]

[latex-block]
template::[filter-image-blockmacro]
